﻿@page "/customers"
@using Ito.Software.Technical.Test.Domain.Dtos.Customer

<h1>Customer</h1>
<div class="d-flex justify-content-end">
    <AddCustomer OnSaveData="HandleValidSubmitAsync" />
</div>
<table class="table">
    <thead>
        <tr>
            <th>Id</th>
            <th>name</th>
            <th>Phone</th>
            <th>Actions</th>
        </tr>
    </thead>
    <tbody>
        @if (Customers != null)
        {
            @foreach (CustomerDto customer in Customers)
            {
                <tr>
                    <td>@customer.Id</td>
                    <td>@customer.Name</td>
                    <td>@customer.Phone</td>
                    <td>-</td>
                </tr>
            }
        }
        else
        {
            <tr>
                <td colspan="4">
                    <div class="d-flex justify-content-center">
                        <h3>Loading...</h3>
                    </div>
                </td>
            </tr>
        }
    </tbody>
</table>